Bug 880442 - [RFE] Allow Project Maintainers to Delete a Source Document
[RFE] Allow Project Maintainers to Delete a Source Document
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI, Usability (Show other bugs)
2.0
Unspecified Unspecified
medium Severity medium
: ---
: 2.0
Assigned To: Carlos Munoz
Alex Eng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 20:43 EST by Carlos Munoz
Modified: 2013-02-25 22:46 EST (History)
2 users (show)

See Also:
Fixed In Version: Zanata version 2.0.3-SNAPSHOT (20121127-1451)
Doc Type: Enhancement
Doc Text:
Feature: Project Maintainers are now able to delete a document from the Source Documents screen. Reason: Some project cleanup operations are made easier if this functionality is part of the UI, as well as the REST API. Result (if any): See Feature.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 22:46:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-11-26 20:43:37 EST
Allow project maintainers to delete a document. Documents will be made obsolete and can still be brought back by pushing the same document again.
Comment 1 Carlos Munoz 2012-11-26 23:49:50 EST
Source Documents are now removable via the Source document UI. This is restricted to project maintainers and of course admins. Source Document removal works the same as from the REST interface, meaning the document will only be marked as obsolete. Any subsequent uploads (via the UI), or pushes will simply reactivate the document.

See:
https://github.com/zanata/zanata/commit/5d203cb80e172f29d6653b37a47a3ac0ec5544fe
https://github.com/zanata/zanata/commit/25a24cfd87b6416cca8b7bcb0cc85619b86c4804
Comment 2 Alex Eng 2012-11-27 19:45:10 EST
Verified in Zanata version 2.0.3-SNAPSHOT (20121127-1451)

Note You need to log in before you can comment on or make changes to this bug.